Page MenuHomePhabricator

Help panel: Determine what text and links to show in the help panel on CS wikipedia
Closed, ResolvedPublic

Description

From T209297: Help panel: Determine what text and links to show in the help panel on KO and CS wikis

Goal:
  1. Determine the top 5 help pages/articles that users should be shown when opening the Help panel for Czech Wikipedia (aka most asked questions in an editing context).
    • they can be different for each editor: if a page (or a specific section) exists for wikitext editing, visual editing or mobile editing, they should be provided.
      • Editors are : Mobile visual editor, Mobile wikitext editor, Desktop visual editor, Desktop 2017 wikitext editor and Desktop 2010 wikitext editor
    • please provide the index of help pages too
  2. Determine what the "main" area should be to search for more help content (this would ideally be the contents area from the same place as the top 5 links). The mockup below uses EN as an example, we've used help pages within the Help: namespace:

Event Timeline

Trizek-WMF triaged this task as Normal priority.Nov 14 2018, 10:57 AM
Trizek-WMF created this task.
Trizek-WMF created this object with edit policy "Custom Policy".
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptNov 14 2018, 10:57 AM
Trizek-WMF changed the edit policy from "Custom Policy" to "All Users".Nov 15 2018, 9:29 AM
Trizek-WMF updated the task description. (Show Details)Nov 15 2018, 5:37 PM
Urbanecm moved this task from Backlog to Working on on the User-Urbanecm board.Nov 16 2018, 7:17 AM
Trizek-WMF raised the priority of this task from Normal to High.Nov 26 2018, 6:35 PM

Raisins up the priority: we would need those links this week please. :)

Raisins up the priority: we would need those links this week please. :)

Do you want me to give you list of opinions per community member (this, or one set of links to implement (to decide what links to list)?

If you have a consensus from the community that would be great. We need to display some links to see if they are clicked, and we prefer them to be contents that would help and that would go somewhere useful. :)

Trizek-WMF updated the task description. (Show Details)Nov 27 2018, 1:49 PM
MMiller_WMF renamed this task from Help pane: Determine what text and links to show in the help pane on CS wikipedia to Help panel: Determine what text and links to show in the help panel on CS wikipedia.Nov 29 2018, 7:14 PM
MMiller_WMF updated the task description. (Show Details)
Urbanecm closed this task as Resolved.Dec 3 2018, 4:14 PM

Added to the copy doc.

@Urbanecm -- thanks for doing this. Could you please summarize for us the outcome here? It looks like you decided that the links should be the same regardless of which editor someone is using. Is that correct?

@MMiller_WMF: Sure I can. I splitted the work into two steps, in the first step I was looking for various proposals (this part was successful) and in the second step I was trying to make the community discuss the proposal (so I published them on a wiki page and published a newsletter about that). I also did a last-call for endorsements and/or comments on the proposals during Czech Wikiconference 2018 (~80 people attended). As-of Monday, I had exactly 0 comments/endorsements, so I used my own judgement to construct a final list of links, which I added both to wikipage and to the copy doc.

Because I tried to focus the links more on the conceptual side of things than on the technology side (four out of five links are conceptual, only one is our general "how to edit a page" link), I believe those are more or less editor-independent links. We currently have one how to edit a page that tries to explain both wikitext and visual way, so at least now, I think even this (normally editor-dependent) link should be same in both editors.

I also hope you plan to measure how those links are used etc, so there will be some data that will show us if we should change and/or improve the links.

I hope this is enough as a summary. If you have questions, ask :).